Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/COMP/lim3.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/COMP/lim3.card	(revision 3407)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/COMP/lim3.card	(revision 3408)
@@ -28,6 +28,5 @@
 
 [OutputFiles]
-List=   (${config_UserChoices_JobName}_1m_icemod.nc, ${R_OUT_ICE_O_M}/${PREFIX}_1M_icemod.nc, Post_1M_icemod ), \
-        (${config_UserChoices_JobName}_1d_icemod.nc, ${R_OUT_ICE_O_D}/${PREFIX}_1D_icemod.nc, Post_1D_icemod )
+List=   (${config_UserChoices_JobName}_1m_icemod.nc, ${R_OUT_ICE_O_M}/${PREFIX}_1M_icemod.nc, Post_1M_icemod )
 
 [Post_1M_icemod]
@@ -40,11 +39,3 @@
 Seasonal=ON
 
-[Post_1D_icemod]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (snthic,sithic,sivolu,snvolu,siconc)
-ChunckJob2D = OFF
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/COMP/opa9.card	(revision 3407)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/COMP/opa9.card	(revision 3408)
@@ -29,8 +29,8 @@
         (${opa9_UserChoices_R_FORCING}/weights_coreII_2_eorca1_bicubic.nc , weights_bicubic.nc)
 
-
 ListNonDel= (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/ahmcoef.nc, .), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/bathy_meter.nc, .), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/coordinates.nc, . ), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/coordinates_xios.nc                , .  ), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/conservative_temperature_WOA13_decav_Reg1L75_clim.nc, .), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/absolute_salinity_WOA13_decav_Reg1L75_clim.nc, .), \
@@ -39,5 +39,5 @@
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/Goutorbe_ghflux.nc, .),\
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc, .),\
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/subbasins.nc, .),\
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/subbasins_v10.nc                        , subbasins.nc    ), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/merged_ESACCI_BIOMER4V1R1_CHL_REG05.nc, .),\
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/mixing_power_bot.nc, .),\
@@ -50,4 +50,5 @@
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/weights_reg05_2_eorca1_bilinear.nc, .), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/weights_Goutorbe1_2_eorca1_bilinear.nc, .)
+
 
 [ParametersFiles]
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/COMP/pisces.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/COMP/pisces.card	(revision 3407)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/COMP/pisces.card	(revision 3408)
@@ -5,4 +5,5 @@
 PisFreq=1
 Offline_Mode=n
+AtmCo2=2.8432e+02
 
 [InitialStateFiles]
@@ -42,11 +43,13 @@
 List=   (namelist_top_ref, namelist_top_cfg, namelist_pisces_ref, namelist_pisces_cfg, tracer.stat)
 
+
 [OutputFiles]
-List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , Post_1Y_ptrc_T   ) , \
-        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , Post_1Y_diad_T   ) , \
+List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , NONE   ) , \
+	(${config_UserChoices_JobName}_1y_bioscalar.nc     , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_bioscalar.nc , NONE) , \
 	(${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
         (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , Post_1M_ptrc_T   ) , \
         (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , Post_1M_diad_T   ) , \
-	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , Post_1D_bioscalar)
+	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , NONE)
 
 
@@ -72,5 +75,5 @@
 [Post_1M_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = 50Y
@@ -81,5 +84,5 @@
 [Post_1M_diad_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (Cflx, Dpco2, EPC100, INTPP)
 ChunckJob2D = 50Y
@@ -90,5 +93,5 @@
 [Post_1Y_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = OFF
@@ -99,5 +102,5 @@
 [Post_1Y_diad_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (Cflx, Dpco2, EPC100, Heup,  Nfix)
 ChunckJob2D = 50Y
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/config.card	(revision 3407)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/clim/config.card	(revision 3408)
@@ -47,5 +47,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (nemo.exe, nemo, 496MPI)
+OCE= (nemo.exe, nemo, 357MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
@@ -83,5 +83,5 @@
 #D-- ICE -
 [ICE]
-WriteFrequency="1M 1D"
+WriteFrequency="1M"
 Restart= n
 ##-- Last day of the experience used as restart
@@ -118,5 +118,5 @@
 #D- If you want to produce time series, this flag determines
 #D- frequency of post-processing submission
-TimeSeriesFrequency=10Y
+TimeSeriesFrequency=1Y
 #D- If you want to produce seasonal average, this flag determines
 #D- the period of this average
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/ia/COMP/lim3.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/ia/COMP/lim3.card	(revision 3407)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/ia/COMP/lim3.card	(revision 3408)
@@ -28,6 +28,5 @@
 
 [OutputFiles]
-List=   (${config_UserChoices_JobName}_1m_icemod.nc, ${R_OUT_ICE_O_M}/${PREFIX}_1M_icemod.nc, Post_1M_icemod ), \
-        (${config_UserChoices_JobName}_1d_icemod.nc, ${R_OUT_ICE_O_D}/${PREFIX}_1D_icemod.nc, Post_1D_icemod )
+List=   (${config_UserChoices_JobName}_1m_icemod.nc, ${R_OUT_ICE_O_M}/${PREFIX}_1M_icemod.nc, Post_1M_icemod )
 
 [Post_1M_icemod]
@@ -39,12 +38,2 @@
 ChunckJob3D = NONE
 Seasonal=ON
-
-[Post_1D_icemod]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (snthic,sithic,sivolu,snvolu,siconc)
-ChunckJob2D = OFF
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF
-
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/ia/COMP/opa9.card	(revision 3407)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/ia/COMP/opa9.card	(revision 3408)
@@ -32,4 +32,5 @@
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/bathy_meter.nc, .), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/coordinates.nc, . ), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/coordinates_xios.nc                , .  ), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/conservative_temperature_WOA13_decav_Reg1L75_clim.nc, .), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/absolute_salinity_WOA13_decav_Reg1L75_clim.nc, .), \
@@ -38,5 +39,5 @@
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/Goutorbe_ghflux.nc, .),\
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/runoff-icb_DaiTrenberth_Depoorter_eORCA1_JD.nc, .),\
-            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/subbasins.nc, .),\
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/subbasins_v10.nc                        , subbasins.nc    ), \
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/merged_ESACCI_BIOMER4V1R1_CHL_REG05.nc, .),\
             (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_OPA_version}/mixing_power_bot.nc, .),\
@@ -67,4 +68,5 @@
 List=   (ocean.output, solver.stat, STRAIT.dat, namelist_ref, namelist_cfg )
 
+
 [OutputFiles]
 List=   (${config_UserChoices_JobName}_1y_scalar.nc    , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_scalar.nc     , NONE          ),\
@@ -74,5 +76,5 @@
         (${config_UserChoices_JobName}_1y_grid_W.nc    , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_grid_W.nc     , NONE          ),\
         (${config_UserChoices_JobName}_1y_diaptr.nc    , ${R_OUT_OCE_O_Y}/${PREFIX}_1Y_diaptr.nc     , Post_1Y_diaptr),\
-        (${config_UserChoices_JobName}_1m_scalar.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_scalar.nc     , NONE          ),\
+        (${config_UserChoices_JobName}_1m_scalar.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_scalar.nc     , Post_1M_scalar),\
         (${config_UserChoices_JobName}_1m_grid_T.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_T.nc     , Post_1M_grid_T),\
         (${config_UserChoices_JobName}_1m_grid_U.nc    , ${R_OUT_OCE_O_M}/${PREFIX}_1M_grid_U.nc     , Post_1M_grid_U),\
@@ -92,14 +94,14 @@
         (mesh_mask.nc     , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_mesh_mask.nc                       , NONE),\
         (runoffs.nc       , ${R_OUT_OCE_O}/${config_UserChoices_JobName}_runoffs.nc                         , NONE),\
-        (damping.coeff.nc , ${R_OUT_OCE_O_D}/${PREFIX}_damping.coeff.nc                                     , NONE),\
+	(damping.coeff.nc , ${R_OUT_OCE_O_D}/${PREFIX}_damping.coeff.nc                                     , NONE),\
         (output.abort.nc  , ${R_OUT_OCE_D}/${PREFIX}_output.abort.nc                                        , NONE),\
         (output.init.nc   , ${R_OUT_OCE_O_I}/${config_UserChoices_JobName}_${PeriodDateBegin}_output.init.nc, NONE)
 
 # Monthly analysis
-#
+
 [Post_1M_scalar]
 Patches = ()
-GatherWithInternal = (time_counter, time_centered, time_centered_bounds, time_counter)
-TimeSeriesVars2D = (masso, volo, zosga, zossga, zostoga, thetaoga, soga)
+GatherWithInternal = (time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (scmastot, scvoltot, scsshtot, scsshste, scsshtst, sctemtot, scsaltot, ibgheat_tot, sbgheat_tot)
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
@@ -115,5 +117,5 @@
 ChunckJob3D = 100Y
 Seasonal=ON
-#
+
 [Post_1M_grid_U]
 Patches = ()
@@ -149,4 +151,6 @@
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=ON
 
 # Daily analysis
@@ -179,10 +183,10 @@
 Seasonal=OFF
 
-# Yearly analysis
+## Yearly analysis
 
 [Post_1Y_scalar]
 Patches = ()
 GatherWithInternal = (time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (masso, volo, zosga, zossga, zostoga, thetaoga, soga)
+TimeSeriesVars2D = (scmastot, scvoltot, scsshtot, scsshste, scsshtst, sctemtot, scsaltot, ibgheat_tot, sbgheat_tot)
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
@@ -233,2 +237,3 @@
 TimeSeriesVars3D = ()
 ChunckJob3D = NONE
+Seasonal=OFF
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/ia/COMP/pisces.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/ia/COMP/pisces.card	(revision 3407)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/ia/COMP/pisces.card	(revision 3408)
@@ -5,4 +5,5 @@
 PisFreq=1
 Offline_Mode=n
+AtmCo2=2.8432e+02
 
 [InitialStateFiles]
@@ -44,10 +45,11 @@
 
 [OutputFiles]
-List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , Post_1Y_ptrc_T   ) , \
-        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , Post_1Y_diad_T   ) , \
+List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , NONE   ) , \
+	(${config_UserChoices_JobName}_1y_bioscalar.nc     , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_bioscalar.nc , NONE) , \
 	(${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
         (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , Post_1M_ptrc_T   ) , \
         (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , Post_1M_diad_T   ) , \
-	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , Post_1D_bioscalar)
+	(${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , NONE)
 
 
@@ -73,5 +75,5 @@
 [Post_1M_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = 50Y
@@ -82,5 +84,5 @@
 [Post_1M_diad_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (Cflx, Dpco2, EPC100, INTPP)
 ChunckJob2D = 50Y
@@ -91,5 +93,5 @@
 [Post_1Y_ptrc_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
 ChunckJob2D = OFF
@@ -100,5 +102,5 @@
 [Post_1Y_diad_T]
 Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, time_counter, time_centered, time_centered_bounds)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = (Cflx, Dpco2, EPC100, Heup,  Nfix)
 ChunckJob2D = 50Y
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/ia/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/ia/config.card	(revision 3407)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/ia/config.card	(revision 3408)
@@ -47,5 +47,5 @@
 Name=nemo
 #D- For each component, Real name of executable
-OCE= (nemo.exe, nemo, 496MPI)
+OCE= (nemo.exe, nemo, 357MPI)
 ICE= ("", "", "")
 MBG= ("", "", "")
@@ -83,5 +83,5 @@
 #D-- ICE -
 [ICE]
-WriteFrequency="1M 1D"
+WriteFrequency="1M"
 Restart= n
 ##-- Last day of the experience used as restart
@@ -96,5 +96,5 @@
 #D-- MBG -
 [MBG]
-WriteFrequency="1D 1M 1Y"
+WriteFrequency="1M 1Y"
 Restart= n
 ##-- Last day of the experience used as restart
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/COMP/pisces.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/COMP/pisces.card	(revision 3408)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/COMP/pisces.card	(revision 3408)
@@ -0,0 +1,130 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+version=v3.6_stable
+Offline_Mode=y
+PisFreq=4
+AtmCo2=2.8432e+02
+
+#==================================================================================================
+R_DYN=/ccc/work/cont003/gencmip6/p48ethe/IGCM/BC/OCE/ORCA1_OFF_PISCES/ipsl/piControl/CM6011.3-pi-01
+DynName=CM6011.3-pi-01
+DynFreq=5D
+DynFiles=(grid_T grid_U grid_V grid_W)
+DynRunName=dyna
+DynYearStart=2100
+DynYearEnd=2149
+YearSshInit=2099
+
+[InitialStateFiles]
+List= ()
+
+
+[BoundaryFiles]
+List= \
+      (${pisces_UserChoices_R_DYN}/${pisces_UserChoices_DynName}_${pisces_UserChoices_YearSshInit}1231_restart.nc, restart.nc)
+
+ListNonDel=  (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/grids/eORCA1.2_mesh_mask.nc, mask.nc), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/grids/eORCA1.2_mesh_mask.nc, mesh_hgr.nc), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/grids/eORCA1.2_mesh_mask.nc, mesh_zgr.nc), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/runoffs_eORCA1.1_depths.nc, runoffs.nc), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/eORCA1.2_bathy_meter.nc, bathy_meter.nc), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/coordinates_xios.nc, coordinates_xios.nc), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/DIC_GLODAPv2.1_annual_eORCA_R1.nc         , . ), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/Alkalini_GLODAPv2.1_annual_eORCA_R1.nc    , . ), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/O2_WOA2009_monthly_eORCA_R1.nc            , . ), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/PO4_WOA2009_monthly_eORCA_R1.nc           , . ), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/Si_WOA2009_monthly_eORCA_R1.nc            , . ), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/DOC_PISCES_monthly_eORCA_R1.nc            , . ), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/Fer_PISCES_monthly_eORCA_R1.nc            , . ), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/NO3_WOA2009_monthly_eORCA_R1.nc           , . ), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/dust_INCA_eORCA_R1.nc                     , . ), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/pmarge_etopo_eORCA_R1.nc                  , . ), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/river_global_news_eORCA_R1.nc             , . ), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/ndeposition_Duce_eORCA_R1.nc              , . ), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/par_fraction_gewex_clim90s00s_366days_eORCA_R1.nc , par_fraction_gewex_clim90s00s_eORCA_R1.nc ), \
+             (${R_IN}/OCE/NEMO/${config_UserChoices_TagName}/${pisces_UserChoices_version}/Solubility_T62_Mahowald_eORCA_R1.nc       , . )
+
+
+[ParametersFiles]
+List=   (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_ref                              , namelist_ref              ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_top_ref                          , namelist_top_ref          ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/SHARED/namelist_pisces_ref                       , namelist_pisces_ref       ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/domain_def_nemo.xml      , domain_def_nemo.xml       ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/context_nemo_offline.xml , context_nemo.xml          ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-opa.xml   , field_def_nemo-opa.xml    ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/field_def_nemo-pisces.xml, field_def_nemo-pisces.xml ), \
+        (${MODIPSL}/modeles/NEMOGCM/CONFIG/ORCA1_LIM3_PISCES/EXP00/iodef.xml, iodef.xml ), \
+        (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}${EXPTYPE}_offline_cfg                    , namelist_cfg              ), \
+        (${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}piC_cfg                               , namelist_top_cfg          ), \
+        (${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE}_cfg                               , namelist_pisces_cfg       ), \
+        (${SUBMIT_DIR}/PARAM/file_def_nemo-pisces.xml                                       , file_def_nemo-pisces.xml  )
+
+[RestartFiles]
+List=   (${config_UserChoices_JobName}_${NEMO_END}_restart_trc.nc,  restart_trc.nc, restart_trc.nc)
+
+[OutputText]
+List=   (ocean.output, namelist_cfg, namelist_top_cfg, namelist_pisces_cfg, tracer.stat)
+
+[OutputFiles]
+List=   (${config_UserChoices_JobName}_1y_ptrc_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_ptrc_T.nc    , Post_1Y_ptrc_T   ) , \
+        (${config_UserChoices_JobName}_1y_diad_T.nc        , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_diad_T.nc    , Post_1Y_diad_T   ) , \
+        (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , Post_1M_ptrc_T   ) , \
+        (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , Post_1M_diad_T   ) , \
+        (${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , Post_1D_bioscalar)
+
+
+[Post_1D_bioscalar]
+Patches = ()
+GatherWithInternal = (time_counter, time_instant, time_instant_bounds)
+TimeSeriesVars2D = (pno3tot, ppo4tot, psiltot, palktot, pfertot, tcflx, tcflxcum, tcexp, tintpp, tnfix, tdenit)
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1M_bioscalar]
+Patches = ()
+GatherWithInternal = (time_counter, time_instant, time_instant_bounds)
+TimeSeriesVars2D = (pno3tot, ppo4tot, psiltot, palktot, pfertot, tcflx, tcflxcum, tcexp, tintpp, tnfix, tdenit)
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1M_ptrc_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = ()
+ChunckJob2D = 50Y
+TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si)
+ChunckJob3D = 50Y
+Seasonal=ON
+
+[Post_1M_diad_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (Cflx, Dpco2, EPC100, INTPP)
+ChunckJob2D = 50Y
+TimeSeriesVars3D = (TPP)
+ChunckJob3D = 50Y
+Seasonal=ON
+
+[Post_1Y_ptrc_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = ()
+ChunckJob2D = OFF
+TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si, POC, GOC, DOC)
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1Y_diad_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (Cflx, Dpco2, EPC100, Heup,  Nfix)
+ChunckJob2D = 50Y
+TimeSeriesVars3D = (PAR, TPP)
+ChunckJob3D = 50Y
+Seasonal=OFF
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/COMP/xios.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/COMP/xios.card	(revision 3408)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/COMP/xios.card	(revision 3408)
@@ -0,0 +1,26 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+[InitialStateFiles]
+List=   ()
+
+[BoundaryFiles]
+List=   ()
+ListNonDel= ()
+
+[SmoothFiles]
+List=   ()
+
+[ParametersFiles]
+List=   ()
+
+[RestartFiles]
+List=   (NONE)
+
+[OutputText]
+List=   ()
+
+[OutputFiles]
+List=   ()
Index: /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/config.card	(revision 3408)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/config.card	(revision 3408)
@@ -0,0 +1,111 @@
+# $Id$
+# This is config.card file for restart with an NEW libIGCM simulation tree.
+# This is config.card file for NEMO ORCA1_LIM3_PISCES configuration
+#
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+#D-- UserChoices -
+[UserChoices]
+#============================
+#-- (<8 chars MAX for JobName)
+JobName=OR1PIS
+#----- Short Name of Experiment
+ExperimentName=ORCA1ia
+#----- DEVT TEST PROD
+SpaceName=DEVT
+LongName="ORCA2_OFF_PISCES NEMO configuration"
+TagName=ORCA1_OFF_PISCES
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=ORCA1_OFF_PISCES/ia
+#============================
+#-- leap, noleap, 360d
+CalendarType=noleap
+#-- Begin and end of Job
+#-- "YYYY-MM-DD"
+DateBegin=2300-01-01
+DateEnd=2499-12-31
+#============================
+#-- 1Y, 1M, 5D, 1D
+PeriodLength=1Y
+#============================
+# config.card configuration options :
+#R_BC=$WORKDIR/../../gzi/rgzi002/IGCM/BC
+#R_INIT=$WORKDIR/../../gzi/rgzi002/IGCM/BC
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+MBG= (pisces, PISCES)
+IOS= (xios, XIOS)
+#========================================================================
+#D-- Executable -
+[Executable]
+Name=nemo
+#D- For each component, Real name of executable
+MBG= (nemo.exe, nemo, 357MPI)
+IOS= (xios_server.exe, xios.x, 1MPI)
+#========================================================================
+#D-- Restarts -
+[Restarts]
+#D- by default: config.card describes no restart for all components
+#D-             ie start from Levitus or limit files
+#D- If you want to restart all components from the same simulation,
+#D-      put OveRule flag to 'y' and set the next 3 parameters
+OverRule=y
+#D- Last day of the experience used as restart
+RestartDate=2299-12-31
+#D- Define restart simulation name
+RestartJobName=CM6011.3-pi-01-OFFPIS
+#D- Path Server Group Login
+RestartPath=/ccc/store/cont003/gencmip6/p48ethe/IGCM_OUT/ORCA1_OFF_PISCES/DEVT/ORCA1ia
+
+#========================================================================
+#D-- MBG -
+[MBG]
+WriteFrequency="1D 1M 1Y"
+Restart= n
+##-- Last day of the experience used as restart
+RestartDate=2000-12-31
+# Define restart simulation name
+RestartJobName=OR2LP1
+RestartPath=${ARCHIVE}/IGCM_OUT/ORCA2_LIM2_PISCES
+# Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
+#D-- Post -
+[Post]
+ParserXIOS=FALSE
+#D- Do we rebuild parallel output, this flag determines
+#D- frequency of rebuild submission
+#-- 1Y
+RebuildFrequency=NONE
+#D- Do we rebuild parallel output from archive
+RebuildFromArchive=NONE
+#D- If you want to produce time series, this flag determines
+#D- frequency of post-processing submission
+TimeSeriesFrequency=10Y
+#D- If you want to produce seasonal average, this flag determines
+#D- the period of this average
+SeasonalFrequency=NONE
+#D- Offset for seasonal average first start dates ; same unit as SeasonalFrequency
+#D- Usefull if you do not want to consider the first X simulation's years
+#SeasonalFrequencyOffset=0
+PackFrequency=10Y
+
+#========================================================================
+#D-- IOS -
+[IOS]
+WriteFrequency=""
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= n
+##-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=1899-12-31
+# Define restart simulation name for this component
+RestartJobName=EXP00
+RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5A/DEVT/piControl
+# Old component name for restart (if empty, use new name)
+OldName=
+#========================================================================
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/opa9.driver
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/opa9.driver	(revision 3407)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/opa9.driver	(revision 3408)
@@ -40,13 +40,33 @@
 
 
+    V1D_ENABLE=".FALSE."
+    V5D_ENABLE=".FALSE."
+    V1M_ENABLE=".FALSE."
+    V1Y_ENABLE=".FALSE."
+
+    for frequency in ${config_OCE_WriteFrequency} ; do
+        case ${frequency} in
+            ( 1D|1d ) V1D_ENABLE=".TRUE." ;;
+            ( 5D|5d ) V5D_ENABLE=".TRUE." ;;
+            ( 1M|1m ) V1M_ENABLE=".TRUE." ;;
+            ( *[yY] ) V1Y_ENABLE=".TRUE." ;;
+        esac
+    done
+
     if [ "${EXPTYPE}" = "ia"   ] ; then
        NbFileInter=${#opa9_UserChoices_ListForcing[*]}
-       if [ ${year} -ge ${opa9_UserChoices_YearForcingInit} ] ; then 
-          year_forcing=${year}
+       (( LengthForcing=${opa9_UserChoices_YearForcingEnd} - ${opa9_UserChoices_YearForcingInit} + 1 ))
+       (( DiffForcing=abs(${opa9_UserChoices_YearForcingEnd} - ${year} )))
+       (( ModuloForcing=${DiffForcing} % ${LengthForcing} ))
+      if [ ${ModuloForcing} -eq 0 ] ; then
+          (( year_forcing=${opa9_UserChoices_YearForcingEnd} ))
        else
-          (( LengthForcing=${opa9_UserChoices_YearForcingEnd} - ${opa9_UserChoices_YearForcingInit} + 1 ))
-          (( DiffForcing=${opa9_UserChoices_YearForcingEnd} - ${year} ))
-          (( ModuloForcing=${DiffForcing} % ${LengthForcing} ))
-          (( year_forcing=${opa9_UserChoices_YearForcingEnd} - ${ModuloForcing} ))
+          if [ ${year} -ge ${opa9_UserChoices_YearForcingInit} ] && [ ${year} -le ${opa9_UserChoices_YearForcingEnd} ] ; then
+             year_forcing=${year}
+          elif [ ${year} -lt ${opa9_UserChoices_YearForcingInit} ] ; then
+             (( year_forcing=${opa9_UserChoices_YearForcingEnd} - ${ModuloForcing} ))
+          else
+             (( year_forcing=${opa9_UserChoices_YearForcingInit} + ${ModuloForcing} - 1 ))
+          fi
        fi
        (( year_forcing_m1 = ${year_forcing} - 1))
@@ -55,40 +75,11 @@
         while [ $i -lt ${NbFileInter} ] ; do
            eval file=${opa9_UserChoices_ListForcing[$i]}
-           IGCM_sys_Get ${opa9_UserChoices_R_FORCING}/${file}_${year_forcing_m1}.nc  ${file}_y${year_m1}.nc 
-           IGCM_sys_Get ${opa9_UserChoices_R_FORCING}/${file}_${year_forcing}.nc     ${file}_y${year}.nc 
-           IGCM_sys_Get ${opa9_UserChoices_R_FORCING}/${file}_${year_forcing_p1}.nc  ${file}_y${year_p1}.nc 
+           IGCM_sys_Get ${opa9_UserChoices_R_FORCING}/${file}_${year_forcing_m1}.nc  ${file}_y${year_m1}.nc
+           IGCM_sys_Get ${opa9_UserChoices_R_FORCING}/${file}_${year_forcing}.nc     ${file}_y${year}.nc
+           IGCM_sys_Get ${opa9_UserChoices_R_FORCING}/${file}_${year_forcing_p1}.nc  ${file}_y${year_p1}.nc
            (( i = i + 1 ))
         done
     fi
 
-    NbFreq=$( echo ${config_OCE_WriteFrequency} | wc -w )
-    ##--Write Frequency Purpose ....
-    typeset -Z1 i=1
-    while [ $i -le ${NbFreq} ]; do
-        frequency=$( echo ${config_OCE_WriteFrequency} | awk -v var="$i" "-F " '{print $var}' )
-    	factor=$( echo ${frequency} | sed -e "s/[yYmMdDhH]//" )
-
-    	case ${frequency} in
-    	    *Y|*y)
-    	        eval PREFIX_WF${i}=${config_UserChoices_JobName}_${factor}y_${DatesPeriod} ;
-    	        eval R_OUT_OCE_WF${i}=${R_OUT_OCE_O_Y} ;
-    	        eval WF${i}=${factor}Y ;;
-    	    *M|*m)
-    	        eval PREFIX_WF${i}=${config_UserChoices_JobName}_${factor}m_${DatesPeriod} ;
-    	        eval R_OUT_OCE_WF${i}=${R_OUT_OCE_O_M} ;
-    	        eval WF${i}=${factor}M ;;
-    	    *D|*d)
-    	        eval PREFIX_WF${i}=${config_UserChoices_JobName}_${factor}d_${DatesPeriod} ;
-    	        eval R_OUT_OCE_WF${i}=${R_OUT_OCE_O_D} ;
-    	        eval WF${i}=${factor}D ;;
-    	    *H|*h)
-    	        eval PREFIX_WF${i}=${config_UserChoices_JobName}_${factor}h_${DatesPeriod} ;
-    	        eval R_OUT_OCE_WF${i}=${R_OUT_OCE_O_H} ;
-    	        eval WF${i}=${factor}H ;;
-    	    *)
-    	esac
-        let i=$i+1
-
-    done
     # Period Length In Days between DateBegin and first day of calendar 0001 01 01
     # Needed by OPA namelist to compute correct file names 
@@ -158,4 +149,16 @@
    IGCM_comp_modifyNamelist blocker    namelist_cfg nn_leapy  ${OPA_NLEAPY}  
 
+   IGCM_debug_Print 1 'Informations into iodef.xml : V1D_ENABLE V5D_ENABLE V1M_ENABLE V1Y_ENABLE '
+   IGCM_debug_Print 1 ${V1D_ENABLE}  ${V5D_ENABLE} ${V1M_ENABLE} ${V1Y_ENABLE}
+
+   IGCM_comp_modifyXmlFile nonblocker file_def_nemo-opa.xml 1d enabled ${V1D_ENABLE}
+   IGCM_comp_modifyXmlFile nonblocker file_def_nemo-opa.xml 5d enabled ${V5D_ENABLE}
+   IGCM_comp_modifyXmlFile nonblocker file_def_nemo-opa.xml 1m enabled ${V1M_ENABLE}
+   IGCM_comp_modifyXmlFile nonblocker file_def_nemo-opa.xml 1y enabled ${V1Y_ENABLE}
+	
+   IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1d enabled ${V1D_ENABLE}
+   IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1m enabled ${V1M_ENABLE}
+   IGCM_comp_modifyXmlFile nonblocker file_def_nemo-lim.xml 1y enabled ${V1Y_ENABLE}
+
 # update domain_def.xml file 
    case ${RESOL_OCE} in 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/pisces.driver
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/pisces.driver	(revision 3407)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/DRIVER/pisces.driver	(revision 3408)
@@ -43,31 +43,20 @@
     IGCM_debug_PushStack "MBG_Update"
 
+    V1D_ENABLE=".FALSE."
+    V5D_ENABLE=".FALSE."
+    V1M_ENABLE=".FALSE."
+    V1Y_ENABLE=".FALSE."
 
-    ##--Write Frequency Purpose
-    Nbfreq=$( echo ${config_MBG_WriteFrequency} | wc -w )
-    typeset -Z1 i=1
-    while [ $i -le ${Nbfreq} ]; do
-       topfrequency=$( echo ${config_MBG_WriteFrequency} | awk -v var="$i" "-F " '{print $var}' )
-       topfactor=$( echo ${topfrequency} | sed -e "s/[yYmMdD]//" )
-       case ${topfrequency} in
-         *Y|*y)
-            eval PREFIX_WFT${i}=${config_UserChoices_JobName}_${topfactor}y_${DatesPeriod} ;
-            eval R_OUT_MBG_WFT${i}=${R_OUT_MBG_O_Y} ;
-            eval WFT${i}=${topfactor}Y ;;
-         *M|*m)
-            eval PREFIX_WFT${i}=${config_UserChoices_JobName}_${topfactor}m_${DatesPeriod} ;
-            eval R_OUT_MBG_WFT${i}=${R_OUT_MBG_O_M} ;
-            eval WFT${i}=${topfactor}M ;;
-         *D|*d)
-            eval PREFIX_WFT${i}=${config_UserChoices_JobName}_${topfactor}d_${DatesPeriod} ;
-            eval R_OUT_MBG_WFT${i}=${R_OUT_MBG_O_D} ;
-            eval WFT${i}=${topfactor}D ;;
-         *)
-      esac
-       let i=$i+1
+    for frequency in ${config_OCE_WriteFrequency} ; do
+        case ${frequency} in
+            ( 1D|1d ) V1D_ENABLE=".TRUE." ;;
+            ( 5D|5d ) V5D_ENABLE=".TRUE." ;;
+            ( 1M|1m ) V1M_ENABLE=".TRUE." ;;
+            ( *[yY] ) V1Y_ENABLE=".TRUE." ;;
+        esac
     done
 
+
     if [ X"${pisces_UserChoices_Offline_Mode}" = X"y" ] ; then
-
 
        # Period Length In Days between DateBegin and first day of calendar 0001 01 01
@@ -95,4 +84,46 @@
        typeset -r PRECIS=8
        NEMO_END=$( echo $( awk "BEGIN { printf \"%0${PRECIS}d\",${OPA_NITEND} }" ) )
+
+
+       DYN_SSH_INI=.TRUE.
+       if [ "${EXPTYPE}" = "ia"   ] ; then
+          NbDynFile=${#pisces_UserChoices_DynFiles[*]}
+          (( LengthForcing=${pisces_UserChoices_DynYearEnd} - ${pisces_UserChoices_DynYearStart} + 1 ))
+          (( DiffForcing=abs( ${pisces_UserChoices_DynYearEnd} - ${year} ) ))
+          (( ModuloForcing=${DiffForcing} % ${LengthForcing} ))
+          if [ ${ModuloForcing} -eq 0 ] ; then
+             (( year_forcing=${pisces_UserChoices_DynYearEnd} ))
+          else
+             if [ ${year} -ge ${pisces_UserChoices_DynYearStart} ] && [ ${year} -le ${pisces_UserChoices_DynYearEnd} ] ; then
+                year_forcing=${year}
+             elif [ ${year} -lt ${pisces_UserChoices_DynYearStart} ] ; then
+                (( year_forcing=${pisces_UserChoices_DynYearEnd} - ${ModuloForcing} ))
+             else
+                (( year_forcing=${pisces_UserChoices_DynYearStart} + ${ModuloForcing} - 1 ))
+             fi
+          fi
+          (( year_forcing_m1 = ${year_forcing} - 1))
+          (( year_forcing_p1 = ${year_forcing} + 1))
+          eval CurrDateFor=${year_forcing}0101_${year_forcing}1231
+          eval PrevDateFor=${year_forcing_m1}0101_${year_forcing_m1}1231
+          eval NextDateFor=${year_forcing_p1}0101_${year_forcing_p1}1231
+          (( i = 0 ))
+           while [ $i -lt ${NbDynFile} ] ; do
+             eval Suffix=${pisces_UserChoices_DynFiles[$i]}
+             eval RunFileName=${pisces_UserChoices_DynRunName}_${Suffix}
+             eval PrevDynFileName=${pisces_UserChoices_DynName}_${PrevDateFor}_${pisces_UserChoices_DynFreq}_${Suffix}
+             eval CurrDynFileName=${pisces_UserChoices_DynName}_${CurrDateFor}_${pisces_UserChoices_DynFreq}_${Suffix}
+             eval NextDynFileName=${pisces_UserChoices_DynName}_${NextDateFor}_${pisces_UserChoices_DynFreq}_${Suffix}
+##             IGCM_sys_Get ${pisces_UserChoices_R_DYN}/${PrevDynFileName}.nc  ${RunFileName}_y${year_m1}.nc
+             IGCM_sys_Get ${pisces_UserChoices_R_DYN}/${CurrDynFileName}.nc  ${RunFileName}_y${year}.nc
+##             IGCM_sys_Get ${pisces_UserChoices_R_DYN}/${NextDynFileName}.nc  ${RunFileName}_y${year_p1}.nc
+             (( i = i + 1 ))
+          done
+          if [ ${year_forcing} = ${pisces_UserChoices_DynYearStart} ] ; then
+             DYN_SSH_INI=.TRUE.
+          else
+             DYN_SSH_INI=.FALSE
+          fi
+       fi
     fi
 
@@ -137,6 +168,13 @@
    IGCM_comp_modifyNamelist blocker    namelist_top_cfg ln_rsttr  ${TOP_LRSTTR}
    IGCM_comp_modifyNamelist blocker    namelist_top_cfg nn_rsttr  ${TOP_NRSTTR}
+   IGCM_comp_modifyNamelist blocker    namelist_pisces_cfg  atcco2    ${pisces_UserChoices_AtmCo2}
    IGCM_comp_modifyNamelist blocker    namelist_pisces_cfg  nn_pisdmp  ${OPA_NPDT_YEAR}
    IGCM_comp_modifyNamelist blocker    namelist_pisces_cfg  nrdttrc    ${pisces_UserChoices_PisFreq}
+
+
+   IGCM_comp_modifyXmlFile nonblocker file_def_nemo-pisces.xml 1d enabled ${V1D_ENABLE}
+   IGCM_comp_modifyXmlFile nonblocker file_def_nemo-pisces.xml 1m enabled ${V1M_ENABLE}
+   IGCM_comp_modifyXmlFile nonblocker file_def_nemo-pisces.xml 1y enabled ${V1Y_ENABLE}
+
 
    IGCM_debug_PopStack "MBG_Update"
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/file_def_nemo-lim3.xml
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/file_def_nemo-lim3.xml	(revision 3407)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/file_def_nemo-lim3.xml	(revision 3408)
@@ -21,5 +21,5 @@
       <file_group id="5d" output_freq="5d"  output_level="10" enabled=".TRUE."/>  <!-- 5d files -->   	
 
-      <file_group id="1m" output_freq="1mo" output_level="10" enabled=".TRUE."> <!-- real monthly files -->
+      <file_group id="1m" output_freq="1mo" output_level="10" enabled="_AUTO_"> <!-- real monthly files -->
 
        <file id="file19" name_suffix="_icemod" description="ice variables" enabled=".true." >
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/file_def_nemo-opa.xml
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/file_def_nemo-opa.xml	(revision 3407)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/file_def_nemo-opa.xml	(revision 3408)
@@ -23,5 +23,5 @@
       <file_group id="6h" output_freq="6h"  output_level="10" enabled=".TRUE."/> <!-- 6h files -->     
     
-      <file_group id="1d" output_freq="1d"  output_level="10" enabled=".TRUE.">  <!-- 5d files -->   
+      <file_group id="1d" output_freq="1d"  output_level="10" enabled="_AUTO_">  <!-- 5d files -->   
 	
         <file id="file1" name_suffix="_grid_T" description="ocean T grid variables" >
@@ -141,5 +141,5 @@
       </file_group> 
 
-      <file_group id="5d" output_freq="5d"  output_level="10" enabled=".TRUE.">  <!-- 5d files -->   
+      <file_group id="5d" output_freq="5d"  output_level="10" enabled="_AUTO_">  <!-- 5d files -->   
 	
 	<file id="file4" name_suffix="_grid_T" description="ocean T grid variables" >
@@ -184,5 +184,5 @@
 
 
-      <file_group id="1m" output_freq="1mo" output_level="10" enabled=".TRUE."> <!-- real monthly files -->
+      <file_group id="1m" output_freq="1mo" output_level="10" enabled="_AUTO_"> <!-- real monthly files -->
 
         <file id="file8" name_suffix="_grid_T" >
@@ -326,5 +326,5 @@
 	</file>
 
-	<file id="file12" name_suffix="_scalar" description="scalar variables" enabled=".true." >
+	<file id="file12" name_suffix="_scalar" description="scalar variables"  >
 
 	  <!-- Volume -->
@@ -379,5 +379,5 @@
         </file>
 
-	<file id="file13" name_suffix="_diaptr" description="diaptr variables" enabled=".true." >
+	<file id="file13" name_suffix="_diaptr" description="diaptr variables" >
 	  <field field_ref="zomsfglo"          name="zomsfglo"  grid_ref="grid_ptr_W_3D" />
           <field field_ref="zomsfatl"          name="zomsfatl"  grid_ref="grid_ptr_W_3D" />
@@ -413,5 +413,5 @@
       <file_group id="6m" output_freq="6mo" output_level="10" enabled=".TRUE."/> <!-- real 6m files -->
 
-      <file_group id="1y"  output_freq="1y" output_level="10" enabled=".TRUE."> <!-- real yearly files -->
+      <file_group id="1y"  output_freq="1y" output_level="10" enabled="_AUTO_"> <!-- real yearly files -->
 
 
@@ -505,5 +505,5 @@
 	</file>
 	
-	<file id="file18" name_suffix="_diaptr" description="diaptr variables" enabled=".TRUE." >
+	<file id="file18" name_suffix="_diaptr" description="diaptr variables" >
 	  <field field_ref="zotemglo" grid_ref="grid_ptr_T_3D"  />
 	  <field field_ref="zosalglo" grid_ref="grid_ptr_T_3D"  />
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/file_def_nemo-pisces.xml
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/file_def_nemo-pisces.xml	(revision 3407)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/file_def_nemo-pisces.xml	(revision 3408)
@@ -24,5 +24,5 @@
       <file_group id="6h" output_freq="6h"  output_level="10" enabled=".TRUE."/> <!-- 6h files -->     
     
-      <file_group id="1d" output_freq="1d"  output_level="10" enabled=".TRUE.">  <!-- 5d files -->   
+      <file_group id="1d" output_freq="1d"  output_level="10" enabled="_AUTO_">  <!-- 5d files -->   
 
         <file id="file20" name_suffix="_bioscalar" description="pisces sms variables" >
@@ -44,28 +44,60 @@
       <file_group id="5d" output_freq="5d"  output_level="10" enabled=".TRUE."/>  <!-- 5d files -->   
 	
-      <file_group id="1m" output_freq="1mo" output_level="10" enabled=".TRUE."> <!-- real monthly files -->
-
-
-        <file id="file21" name_suffix="_ptrc_T" description="pisces sms variables" >
+      <file_group id="1m" output_freq="1mo" output_level="10" enabled="_AUTO_"> <!-- real monthly files -->
+
+       <file id="file21" name_suffix="_ptrc_T" description="pisces sms variables" >
           <field field_ref="DIC"       name="DIC"      operation="average" freq_op="1mo" > @DIC_E3T / @e3t </field>
           <field field_ref="Alkalini"  name="Alkalini" operation="average" freq_op="1mo" > @Alkalini_E3T / @e3t </field>
           <field field_ref="O2"        name="O2"       operation="average" freq_op="1mo" > @O2_E3T / @e3t </field>
+          <field field_ref="CaCO3"     name="CaCO3"    operation="average" freq_op="1mo" > @CaCO3_E3T / @e3t </field>
           <field field_ref="PO4"       name="PO4"      operation="average" freq_op="1mo" > @PO4_E3T / @e3t </field>
+          <field field_ref="POC"       name="POC"      operation="average" freq_op="1mo" > @POC_E3T / @e3t </field>
           <field field_ref="Si"        name="Si"       operation="average" freq_op="1mo" > @Si_E3T / @e3t </field>
+          <field field_ref="PHY"       name="PHY"      operation="average" freq_op="1mo" > @PHY_E3T / @e3t </field>
+          <field field_ref="ZOO"       name="ZOO"      operation="average" freq_op="1mo" > @ZOO_E3T / @e3t </field>
+          <field field_ref="DOC"       name="DOC"      operation="average" freq_op="1mo" > @DOC_E3T / @e3t </field>
+          <field field_ref="PHY2"      name="PHY2"     operation="average" freq_op="1mo" > @PHY2_E3T / @e3t </field>
+          <field field_ref="ZOO2"      name="ZOO2"     operation="average" freq_op="1mo" > @ZOO2_E3T / @e3t </field>
+          <field field_ref="DSi"       name="DSi"      operation="average" freq_op="1mo" > @DSi_E3T / @e3t </field>
           <field field_ref="Fer"       name="Fer"      operation="average" freq_op="1mo" > @Fer_E3T / @e3t </field>
+          <field field_ref="BFe"       name="BFe"      operation="average" freq_op="1mo" > @BFe_E3T / @e3t </field>
+          <field field_ref="GOC"       name="GOC"      operation="average" freq_op="1mo" > @GOC_E3T / @e3t </field>
+          <field field_ref="SFe"       name="SFe"      operation="average" freq_op="1mo" > @SFe_E3T / @e3t </field>
+          <field field_ref="DFe"       name="DFe"      operation="average" freq_op="1mo" > @DFe_E3T / @e3t </field>
+          <field field_ref="GSi"       name="GSi"      operation="average" freq_op="1mo" > @GSi_E3T / @e3t </field>
+          <field field_ref="NFe"       name="NFe"      operation="average" freq_op="1mo" > @NFe_E3T / @e3t </field>
           <field field_ref="NCHL"      name="NCHL"     operation="average" freq_op="1mo" > @NCHL_E3T / @e3t </field>
           <field field_ref="DCHL"      name="DCHL"     operation="average" freq_op="1mo" > @DCHL_E3T / @e3t </field>
           <field field_ref="NO3"       name="NO3"      operation="average" freq_op="1mo" > @NO3_E3T / @e3t </field>
-       </file>
-
-       <file id="file22" name_suffix="_diad_T" description="additional pisces diagnostics" >
-         <field field_ref="Cflx"      name="Cflx"    />
-         <field field_ref="Dpco2"     name="Dpco2"   />
-         <field field_ref="PAR"       name="PAR"   />
-         <field field_ref="PARDM"     name="PARDM"  />
-         <field field_ref="TPP"       name="TPP"  />
-         <field field_ref="INTPP"     name="INTPP"  />
-         <field field_ref="EPC100"    name="EPC100"  />
-       </file>
+          <field field_ref="NH4"       name="NH4"      operation="average" freq_op="1mo" > @NH4_E3T / @e3t </field>
+    </file>
+
+   <file id="file22" name_suffix="_diad_T" description="additional pisces diagnostics" >
+       <field field_ref="PH"         name="PH" />
+       <field field_ref="PAR"        name="PAR"   />
+       <field field_ref="PARDM"      name="PARDM"   />
+       <field field_ref="Cflx"       name="Cflx"  />
+        <field field_ref="Oflx"      name="Oflx"  />
+       <field field_ref="Dpco2"      name="Dpco2"   />
+       <field field_ref="Dpo2"       name="Dpo2"   />
+        <field field_ref="Heup"      name="Heup"  />
+        <field field_ref="Irondep"   name="Irondep"  />
+        <field field_ref="Ironsed"   name="Ironsed"  />
+        <field field_ref="Nfix"      name="Nfix"  />
+        <field field_ref="LNnut"     name="LNnut"  />
+        <field field_ref="LDnut"     name="LDnut"  />
+        <field field_ref="LNFe"      name="LNFe"  />
+        <field field_ref="LDFe"      name="LDFe"  />
+        <field field_ref="LNlight"   name="LNlight"  />
+        <field field_ref="LDlight"   name="LDlight"  />
+        <field field_ref="TPP"       name="TPP"  />
+       <field field_ref="TPNEW"      name="TPNEW"  />
+        <field field_ref="EPC100"    name="EPC100"  />
+        <field field_ref="EPFE100"   name="EPFE100"  />
+        <field field_ref="EPSI100"   name="EPSI100"  />
+        <field field_ref="EPCAL100"  name="EPCAL100"  />
+        <field field_ref="xfracal"   name="xfracal"  />
+    </file>
+
 
       <file id="file23" name_suffix="_bioscalar" description="pisces sms variables" >
@@ -92,5 +124,5 @@
       <file_group id="6m" output_freq="6mo" output_level="10" enabled=".TRUE."/> <!-- real 6m files -->
 
-      <file_group id="1y"  output_freq="1y" output_level="10" enabled=".TRUE."> <!-- real yearly files -->
+      <file_group id="1y"  output_freq="1y" output_level="10" enabled="_AUTO_"> <!-- real yearly files -->
 
  
@@ -149,4 +181,22 @@
     </file>
 
+      <file id="file26" name_suffix="_bioscalar" description="pisces sms variables" >
+          <field field_ref="tdenit"   name="tdenit"   grid_ref="grid_1point" unit="TgN/yr" operation="instant" > tdenit * 14. * 86400. * 365. / 1e12 </field>
+          <field field_ref="tnfix"    name="tnfix"    grid_ref="grid_1point" unit="TgN/yr" operation="instant" > tnfix * 14. * 86400. * 365. / 1e12 </field>
+          <field field_ref="tcflx"    name="tcflx"    grid_ref="grid_1point" unit="PgC/yr" operation="instant" > tcflx * -1. * 12. * 86400. * 365. / 1e15 </field>
+          <field field_ref="tcflxcum" name="tcflxcum" grid_ref="grid_1point" unit="PgC"    operation="instant" > tcflxcum * -1. * 12. / 1e15 </field>
+          <field field_ref="tcexp"    name="tcexp"    grid_ref="grid_1point" unit="PgC/yr" operation="instant" > tcexp * 12. * 86400. * 365. / 1e15 </field>
+          <field field_ref="tintpp"   name="tintpp"   grid_ref="grid_1point" unit="PgC/yr" operation="instant" > tintpp * 12. * 86400. * 365. / 1e15 </field>
+          <field field_ref="pno3tot"  name="pno3tot"  grid_ref="grid_1point" unit="umolN"  operation="instant" > pno3tot * 16. / 122. * 1e6 </field>
+          <field field_ref="ppo4tot"  name="ppo4tot"  grid_ref="grid_1point" unit="umolP"  operation="instant" > ppo4tot * 1. / 122. * 1e6 </field>
+          <field field_ref="psiltot"  name="psiltot"  grid_ref="grid_1point" unit="umolC"  operation="instant" > psiltot * 1e6  </field>
+          <field field_ref="palktot"  name="palktot"  grid_ref="grid_1point" unit="umolC"  operation="instant" > palktot * 1e6  </field>
+          <field field_ref="pfertot"  name="pfertot"  grid_ref="grid_1point" unit="nmolFe" operation="instant" > pfertot * 1e9  </field>
+    </file>
+
+       <file id="file27" name_suffix="_Age" description="Age Inert tracer" >
+          <field field_ref="Age"       name="Age"      operation="average" freq_op="1y" > @Age_E3T / @e3t </field>
+      </file>
+
       </file_group>
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/namelist_ORCA1clim_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/namelist_ORCA1clim_cfg	(revision 3407)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/namelist_ORCA1clim_cfg	(revision 3408)
@@ -302,4 +302,17 @@
 &namzdf_tke    !   turbulent eddy kinetic dependent vertical diffusion  ("key_zdftke")
 !-----------------------------------------------------------------------
+  nn_etau     = 0         !  penetration of tke below the mixed layer (ML) due to internal & intertial waves
+                          !    = 0 no penetration
+                          !    = 1 add a tke source below the ML
+                          !    = 2 add a tke source just at the base of the ML
+                          !    = 3 as = 1 applied on HF part of the stress    ("key_oasis3")
+  nn_mxl0     = 2         ! type of scaling under sea-ice
+                          !    = 0 no scaling under sea-ice
+                          !    = 1 scaling with constant sea-ice thickness
+                          !    = 2  scaling with mean sea-ice thickness
+                          !    = 3  scaling with maximum sea-ice thickness
+  rn_hice    = 10.        ! max constant ice thickness value when scaling under sea-ice ( nn_mxl0=1)
+  ln_lc      = .true.     !  Langmuir cell parameterisation (Axell 2002)
+  rn_lc      =  0.20      !  coef. associated to Langmuir cells
 /
 !-----------------------------------------------------------------------
@@ -325,8 +338,8 @@
 &nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi)
 !-----------------------------------------------------------------------
-   ln_nnogather=  .true.  !
-   jpni        =    16    !  jpni   number of processors following i (set automatically if < 1)
-   jpnj        =    31  !  jpnj   number of processors following j (set automatically if < 1)
-   jpnij       =   496    !  jpnij  number of local domains (set automatically if < 1)
+   ln_nnogather=  .true.   !
+   jpni        =   20      !  jpni   number of processors following i (set automatically if < 1)
+   jpnj        =   24      !  jpnj   number of processors following j (set automatically if < 1)
+   jpnij       =  357      !  jpnij  number of local domains (set automatically if < 1), 357 for eORCA1/IPSLCM6-LR
 /
 !-----------------------------------------------------------------------
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/namelist_ORCA1ia_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/namelist_ORCA1ia_cfg	(revision 3407)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/namelist_ORCA1ia_cfg	(revision 3408)
@@ -303,4 +303,17 @@
 &namzdf_tke    !   turbulent eddy kinetic dependent vertical diffusion  ("key_zdftke")
 !-----------------------------------------------------------------------
+  nn_etau     = 0         !  penetration of tke below the mixed layer (ML) due to internal & intertial waves
+                          !    = 0 no penetration
+                          !    = 1 add a tke source below the ML
+                          !    = 2 add a tke source just at the base of the ML
+                          !    = 3 as = 1 applied on HF part of the stress    ("key_oasis3")
+  nn_mxl0     = 2         ! type of scaling under sea-ice
+                          !    = 0 no scaling under sea-ice
+                          !    = 1 scaling with constant sea-ice thickness
+                          !    = 2  scaling with mean sea-ice thickness
+                          !    = 3  scaling with maximum sea-ice thickness
+  rn_hice    = 10.        ! max constant ice thickness value when scaling under sea-ice ( nn_mxl0=1)
+  ln_lc      = .true.     !  Langmuir cell parameterisation (Axell 2002)
+  rn_lc      =  0.20      !  coef. associated to Langmuir cells
 /
 !-----------------------------------------------------------------------
@@ -326,8 +339,8 @@
 &nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi)
 !-----------------------------------------------------------------------
-   ln_nnogather=  .true.  !
-   jpni        =    16    !  jpni   number of processors following i (set automatically if < 1)
-   jpnj        =    31  !  jpnj   number of processors following j (set automatically if < 1)
-   jpnij       =   496    !  jpnij  number of local domains (set automatically if < 1)
+   ln_nnogather=  .true.   !
+   jpni        =   20      !  jpni   number of processors following i (set automatically if < 1)
+   jpnj        =   24      !  jpnj   number of processors following j (set automatically if < 1)
+   jpnij       =  357      !  jpnij  number of local domains (set automatically if < 1), 357 for eORCA1/IPSLCM6-LR
 /
 !-----------------------------------------------------------------------
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/namelist_ORCA1ia_offline_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/namelist_ORCA1ia_offline_cfg	(revision 3408)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/namelist_ORCA1ia_offline_cfg	(revision 3408)
@@ -0,0 +1,142 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/OPA  :  ORCA2_OFF_PISCES configuration namelist used ot overwrite SHARED/namelist_ref
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!-----------------------------------------------------------------------
+&namrun        !   parameters of the run
+!-----------------------------------------------------------------------
+   cn_exp      =  _AUTO_
+   nn_date0    =  _AUTO_   !  date at nit_0000 (format yyyymmdd) used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
+   nn_leapy    =  _AUTO_   !  Leap year calendar (1) or not (0)
+   nn_it000    =  _AUTO_
+   nn_itend    =  _AUTO_
+   nn_stock    =  _AUTO_
+   ln_mskland  = .true.
+   ln_clobber  = .true.
+/
+!-----------------------------------------------------------------------
+&namcfg        !   parameters of the configuration
+!-----------------------------------------------------------------------
+   cp_cfg      =  "orca"               !  name of the configuration
+   jp_cfg      =       1               !  resolution of the configuration
+   jpidta      =     362               !  1st lateral dimension ( >= jpi )
+   jpjdta      =     332               !  2nd    "         "    ( >= jpj )
+   jpkdta      =      75               !  number of levels      ( >= jpk )
+   jpiglo      =     362               !  1st dimension of global domain --> i =jpidta
+   jpjglo      =     332               !  2nd    -                  -    --> j  =jpjdta
+   jperio      =       6               !  lateral cond. type (between 0 and 6)
+/
+!-----------------------------------------------------------------------
+&namzgr        !   vertical coordinate
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdom        !   space and time domain (bathymetry, mesh, timestep)
+!-----------------------------------------------------------------------
+   nn_msh      =    1      !  create (=1) a mesh file or not (=0)
+   rn_rdt      = 14400.    !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_rdtmin   = 14400.          !  minimum time step on tracers (used if nn_acc=1)
+   rn_rdtmax   = 14400.          !  maximum time step on tracers (used if nn_acc=1)
+   jphgr_msh   =       0               !  type of horizontal mesh
+   ppglam0     =  999999.0             !  longitude of first raw and column T-point (jphgr_msh = 1)
+   ppgphi0     =  999999.0             ! latitude  of first raw and column T-point (jphgr_msh = 1)
+   ppe1_deg    =  999999.0             !  zonal      grid-spacing (degrees)
+   ppe2_deg    =  999999.0             !  meridional grid-spacing (degrees)
+   ppe1_m      =  999999.0             !  zonal      grid-spacing (degrees)
+   ppe2_m      =  999999.0             !  meridional grid-spacing (degrees)
+   ppsur       =   -3958.951371276829  !  ORCA r4, r2 and r05 coefficients
+   ppa0        =     103.9530096000000 ! (default coefficients)
+   ppa1        =       2.415951269000000   !
+   ppkth       =      15.35101370000000    !
+   ppacr       =       7.0             !
+   ppdzmin     =  999999.0             !  Minimum vertical spacing
+   pphmax      =  999999.0             !  Maximum depth
+   ppa2        =     100.7609285000000 !  Double tanh function parameters
+   ppkth2      =      48.02989372000000    !
+   ppacr2      =      13.00000000000   !
+   rn_hmin     =   20.
+/
+!-----------------------------------------------------------------------
+!-----------------------------------------------------------------------
+&namsplit      !   time splitting parameters                            ("key_dynspg_ts")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namcrs        !   Grid coarsening for dynamics output and/or
+               !   passive tracer coarsened online simulations
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namsbc        !   Surface Boundary Condition (surface module)
+!-----------------------------------------------------------------------
+   nn_fsbc     = 1         !  frequency of surface boundary condition computation
+   ln_rnf      = .false.   !  runoffs
+/
+!-----------------------------------------------------------------------
+&namtra_qsr    !   penetrative solar radiation
+!-----------------------------------------------------------------------
+   ln_traqsr   = .false.   !  Light penetration (T) or not (F)
+/
+-----------------------------------------------------------------------
+&namsbc_ssr    !   surface boundary condition : sea surface restoring
+!-----------------------------------------------------------------------
+/
+
+!-----------------------------------------------------------------------
+&namcla        !   cross land advection
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nambbl        !   bottom boundary layer scheme
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nameos        !   ocean physical parameters
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtra_ldf    !   lateral diffusion scheme for tracer
+!-----------------------------------------------------------------------
+   rn_aht_0         =  1000.    !  horizontal eddy diffusivity for tracers [m2/s]
+   rn_aeiv_0        =  1000.    !  eddy induced velocity coefficient [m2/s]    (require "key_traldf_eiv")
+/
+!-----------------------------------------------------------------------
+&namdta_dyn        !   offline dynamics read in files                ("key_offline")
+!-----------------------------------------------------------------------
+!           !  file name       ! frequency (hours)  ! variable         ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!           !                  !  (if <0  months)   !   name           !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
+   sn_tem   = 'dyna_grid_T' ,    120            , 'thetao'        ,  .false.      , .false. ,   'yearly'  , ''       , ''    , ''
+   sn_sal   = 'dyna_grid_T' ,    120            , 'so'            ,  .false.      , .false. ,   'yearly'  , ''       , ''    , ''
+   sn_mld   = 'dyna_grid_T' ,    120            , 'mldr10_1'      ,  .false.      , .false. ,   'yearly'  , ''       , ''    , ''
+   sn_emp   = 'dyna_grid_T' ,    120            , 'wfo'           ,  .false.      , .false. ,   'yearly'  , ''       , ''    , ''
+   sn_empb  = 'dyna_grid_T' ,    120            , 'wfob'          ,  .false.      , .false. ,   'yearly'  , ''       , ''    , ''
+   sn_rnf   = 'dyna_grid_T' ,    120            , 'friver'        ,  .false.      , .false. ,   'yearly'  , ''       , ''    , ''
+   sn_fmf   = 'dyna_grid_T' ,    120            , 'fmmflx'        ,  .false.      , .false. ,   'yearly'  , ''       , ''    , ''
+   sn_ice   = 'dyna_grid_T' ,    120            , 'siconc'        ,  .false.      , .false. ,   'yearly'  , ''       , ''    , ''
+   sn_qsr   = 'dyna_grid_T' ,    120            , 'rsntds'        ,  .false.      , .false. ,   'yearly'  , ''       , ''    , ''
+   sn_wnd   = 'dyna_grid_T' ,    120            , 'windsp'        ,  .false.      , .false. ,   'yearly'  , ''       , ''    , ''
+   sn_div   = 'dyna_grid_T' ,    120            , 'hdivtr'        ,  .false.      , .false. ,   'yearly'  , ''       , ''    , ''
+   sn_uwd   = 'dyna_grid_U' ,    120            , 'uocetr_eff'    ,  .false.      , .false. ,   'yearly'  , ''       , ''    , ''
+   sn_vwd   = 'dyna_grid_V' ,    120            , 'vocetr_eff'    ,  .false.      , .false. ,   'yearly'  , ''       , ''    , ''
+   sn_wwd   = 'dyna_grid_W' ,    120            , 'wocetr_eff'    ,  .false.      , .false. ,   'yearly'  , ''       , ''    , ''
+   sn_avt   = 'dyna_grid_W' ,    120            , 'difvsolog'     ,  .false.      , .false. ,   'yearly'  , ''       , ''    , ''
+   sn_ubl   = 'dyna_grid_U' ,    120            , 'ahu_bbl'       ,  .false.      , .false. ,   'yearly'  , ''       , ''    , ''
+   sn_vbl   = 'dyna_grid_V' ,    120            , 'ahv_bbl'       ,  .false.      , .false. ,   'yearly'  , ''       , ''    , ''
+!
+   cn_dir     = './'      !  root directory for the location of the dynamical files
+   ln_ssh_ini =  _AUTO_
+   ln_dynrnf =  .true.   !  computation of vertical velocity instead of using the one read in file
+   ln_dynrnf_depth =  .true.   !  computation of vertical velocity instead of using the one read in file
+!   fwbcorr      = 3.786e-06
+/
+!-----------------------------------------------------------------------
+&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi)
+!-----------------------------------------------------------------------
+   ln_nnogather=  .true.  !
+   jpni        =    20    !  jpni   number of processors following i (set automatically if < 1)
+   jpnj        =    24    !  jpnj   number of processors following j (set automatically if < 1)
+   jpnij       =   357    !  jpnij  number of local domains (set automatically if < 1)
+/
+!-----------------------------------------------------------------------
+&namctl        !   Control prints & Benchmark
+!-----------------------------------------------------------------------
+/
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/namelist_pisces_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/namelist_pisces_cfg	(revision 3407)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/namelist_pisces_cfg	(revision 3408)
@@ -5,4 +5,5 @@
 &nampisext     !   air-sea exchange
 !,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   atcco2     =  _AUTO_: DEFAULT=287.    ! Constant value atmospheric pCO2 - ln_co2int = F
 /
 !'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/POST/monitoring01_pisces_ORCA1.cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/POST/monitoring01_pisces_ORCA1.cfg	(revision 3407)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/POST/monitoring01_pisces_ORCA1.cfg	(revision 3408)
@@ -39,11 +39,16 @@
 #  field | files patterns | files additionnal  | operations | title | units | calcul of area
 #-----------------------------------------------------------------------------------------------------------------
- no3_global  | "NO3"      | "eORCA1.1_grid.nc"  | "(NO3[d=1,k=1])"               | "Nitrate Concentration at surface"      | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
- dic_global  | "DIC"      | "eORCA1.1_grid.nc"  | "(DIC[d=1,k=1])"               | "DIC Concentration at surface"          | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
- alk_global  | "Alkalini" | "eORCA1.1_grid.nc"  | "(Alkalini[d=1,k=1])"          | "Alkalinity Concentration  at surface"  | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
- o2_global   | "O2"       | "eORCA1.1_grid.nc"  | "(O2[d=1,k=1])"                | "Oxygen Concentration at surface"       | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
- si_global   | "Si"       | "eORCA1.1_grid.nc"  | "(Si[d=1,k=1])"                | "Silicate Concentration at surface"     | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
- po4_global  | "PO4"      | "eORCA1.1_grid.nc"  | "(PO4[d=1,k=1])"               | "Phosphorus Concentration  at surface"  | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
- cflx_global | "Cflx"     | "eORCA1.1_grid.nc"  | "(Cflx[d=1]*3600*24*365*12)"   | "Ocean carbon flux (GLOBAL)"            | "gC/m2/yr"   | "mask[k=1,d=2]*area[d=2]"
- epc_global  | "EPC100"   | "eORCA1.1_grid.nc"  | "(EPC100[d=1]*3600*24*365*12)" | "Carbon export at 100m (GLOBAL)"        | "gC/m2/yr"   | "mask[k=1,d=2]*area[d=2]"
 #-----------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal  | operations | title | units | calcul of area
+#-----------------------------------------------------------------------------------------------------------------
+ no3_global     | "pno3tot"  |       ""   | "pno3tot[d=1]"  | "global mean nitrogen concentration"                  | "umolN"    | "1"
+ po4_global     | "ppo4tot"  |       ""   | "ppo4tot[d=1]"  | "global mean phosphorus concentration"                | "umolP"    | "1"
+ sil_global     | "psiltot"  |       ""   | "psiltot[d=1]"  | "global mean silicate concentration"                  | "umolC"    | "1"
+ fer_global     | "pfertot"  |       ""   | "pfertot[d=1]"  | "global mean iron concentration"                      | "nmolFe"   | "1"
+ alk_global     | "palktot"  |       ""   | "palktot[d=1]"  | "global mean alkalinity concentration"                | "umolC"    | "1"
+ cflx_global    | "tcflx"    |       ""   | "tcflx[d=1]"    | "total flux of Carbon out of the ocean"               | "PgC/yr"   | "1"
+ epc_global     | "tcexp"    |       ""   | "tcexp[d=1]"    | "total flux of Carbon export at 100m"                 | "PgC/yr"   | "1"
+ tintpp_global  | "tintpp"   |       ""   | "tintpp[d=1]"   | "global total integrated primary production"          | "PgC/yr"   | "1"
+ tdenit_global  | "tdenit"   |       ""   | "tdenit[d=1]"   | "Total denitrification"                               | "TgN/yr"   | "1"
+ tnfix_global   | "tnfix"    |       ""   | "tnfix[d=1]"    | "global total nitrogen fixation"                      | "TgN/yr"   | "1"
+#-----------------------------------------------------------------------------------------------------------------
Index: /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/POST/monitoring01_pisces_ORCA2.cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/POST/monitoring01_pisces_ORCA2.cfg	(revision 3407)
+++ /CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/POST/monitoring01_pisces_ORCA2.cfg	(revision 3408)
@@ -39,11 +39,13 @@
 #  field | files patterns | files additionnal  | operations | title | units | calcul of area
 #-----------------------------------------------------------------------------------------------------------------
- no3_global  | "NO3"      | "ORCA2.3_grid.nc"  | "(NO3[d=1,k=1])"               | "Nitrate Concentration at surface"      | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
- dic_global  | "DIC"      | "ORCA2.3_grid.nc"  | "(DIC[d=1,k=1])"               | "DIC Concentration at surface"          | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
- alk_global  | "Alkalini" | "ORCA2.3_grid.nc"  | "(Alkalini[d=1,k=1])"          | "Alkalinity Concentration  at surface"  | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
- o2_global   | "O2"       | "ORCA2.3_grid.nc"  | "(O2[d=1,k=1])"                | "Oxygen Concentration at surface"       | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
- si_global   | "Si"       | "ORCA2.3_grid.nc"  | "(Si[d=1,k=1])"                | "Silicate Concentration at surface"     | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
- po4_global  | "PO4"      | "ORCA2.3_grid.nc"  | "(PO4[d=1,k=1])"               | "Phosphorus Concentration  at surface"  | "mmol/m3"    | "mask[d=2,k=1]*area[d=2]"
- cflx_global | "Cflx"     | "ORCA2.3_grid.nc"  | "(Cflx[d=1]*3600*24*365*12)"   | "Ocean carbon flux (GLOBAL)"            | "gC/m2/yr"   | "mask[k=1,d=2]*area[d=2]"
- epc_global  | "EPC100"   | "ORCA2.3_grid.nc"  | "(EPC100[d=1]*3600*24*365*12)" | "Carbon export at 100m (GLOBAL)"        | "gC/m2/yr"   | "mask[k=1,d=2]*area[d=2]"
+ no3_global     | "pno3tot"  |       ""   | "pno3tot[d=1]"  | "global mean nitrogen concentration"                  | "umolN"    | "1"
+ po4_global     | "ppo4tot"  |       ""   | "ppo4tot[d=1]"  | "global mean phosphorus concentration"                | "umolP"    | "1"
+ sil_global     | "psiltot"  |       ""   | "psiltot[d=1]"  | "global mean silicate concentration"                  | "umolC"    | "1"
+ fer_global     | "pfertot"  |       ""   | "pfertot[d=1]"  | "global mean iron concentration"                      | "nmolFe"   | "1"
+ alk_global     | "palktot"  |       ""   | "palktot[d=1]"  | "global mean alkalinity concentration"                | "umolC"    | "1"
+ cflx_global    | "tcflx"    |       ""   | "tcflx[d=1]"    | "total flux of Carbon out of the ocean"               | "PgC/yr"   | "1"
+ epc_global     | "tcexp"    |       ""   | "tcexp[d=1]"    | "total flux of Carbon export at 100m"                 | "PgC/yr"   | "1"
+ tintpp_global  | "tintpp"   |       ""   | "tintpp[d=1]"   | "global total integrated primary production"          | "PgC/yr"   | "1"
+ tdenit_global  | "tdenit"   |       ""   | "tdenit[d=1]"   | "Total denitrification"                               | "TgN/yr"   | "1"
+ tnfix_global   | "tnfix"    |       ""   | "tnfix[d=1]"    | "global total nitrogen fixation"                      | "TgN/yr"   | "1"
 #-----------------------------------------------------------------------------------------------------------------
